### Function

# Camel ContentType new

#### Declaration [src]

    CamelContentType*
    camel_content_type_new (
      const gchar* type,
      const gchar* subtype
    )

#### Description [src]

Create a new `CamelContentType`.

#### Parameters

`type`

  Type: `const gchar*`

  The major type of the new content-type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`subtype`

  Type: `const gchar*`

  The subtype.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelContentType`

The new `CamelContentType`.

The caller of the function takes ownership of the data, and is responsible for freeing it.